gnutls_x509_rdn_get_oid(3)

NAME
gnutls_x509_rdn_get_oid - This function parses an RDN sequence and returns an OID.

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_rdn_get_oid(const gnutls_datum_t * idn, int indx, void * buf, size_t * sizeof_buf);

ARGUMENTS

const gnutls_datum_t * idn
    should contain a DER encoded RDN sequence

int indx
    Indicates which OID to return. Use 0 for the first one.

void * buf

size_t * sizeof_buf

DESCRIPTION
This function will return the specified Object identifier, of the RDN sequence. Returns GNUTLS_E_SHORT_MEMORY_BUFFER and updates *sizeof_buf if the provided buffer is not long enough, and 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.